QGIS Application - Bug report #16171
QGIS gets very laggy when using local GeoPackages
2017-02-10 12:50 AM - Jéréme Guélat

Status: Closed

Priority: Severe/Regression

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:2.18.3 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24081
Description

| don't know exactly when it started but | have bad lagging when using QGIS with local GeoPackage. | just need to open a new document
and add a simple GeoPackage, after that the whole QGIS interface is getting laggy (e.g., using menus, moving the main window, etc.). |
also see one (sometimes 2) files appearing and disappearing very quickly in the folder where the GeoPackage is saved (besides the wal
and shm files).

Here's another way to reproduce the bug:
1. Open QGIS and go to DB-Manager
2. Connect a GeoPackage

3. Use a create table SQL statement (like CREATE TABLE foo AS SELECT * FROM TABLE bar)

This happens only with GeoPackages that are stored locally, therefore | suspect a problem with the WAL mechanism.

History

#1 - 2017-02-10 03:34 AM - Jérome Guélat

This bug is really intriguing... | wasn't able to reproduce it on other computers and therefore | tried to investigate a bit more. Apparently this has little to do
with the OGR data provider, but it looks like a stupid Windows bug.

The problem only happens if the GeoPackage is on my Desktop (which is rather crowded). If | put it somewhere else, or if | reduce the number of icons on

my Desktop, then everything works perfectly... | still don't understand why this doesn't happen with other data formats, though.

Sorry for the noise!

#2 - 2017-02-28 12:00 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Jérome Guélat wrote:

This bug is really intriguing... | wasn't able to reproduce it on other computers and therefore I tried to investigate a bit more. Apparently this has little
to do with the OGR data provider, but it looks like a stupid Windows bug.

The problem only happens if the GeoPackage is on my Desktop (which is rather crowded). If | put it somewhere else, or if | reduce the number of
icons on my Desktop, then everything works perfectly... | still don't understand why this doesn't happen with other data formats, though.
Sorry for the noise!

closing then. Thanks.
